GET /seedlisting
GETseedlisting
Retrieve all seedlisting inbox placement tests for the current user
Query Parameters
offset string
Number of items to skip before starting to return results
limit string
Maximum number of items to return per request
title string
Filter by title substring
profile_id string
Filter by profile ID
show_all boolean
Admin-only. When true, includes the user_email field in each result
Returns
- dataarray
- idstringUnique identifier of the seedlisting test
- titlestringName of the seedlisting test
- profile_idstringProfile ID associated with this seedlisting test
- statusstringCurrent status of the seedlisting testAllowed values:
INIT,ACTIVE,DONE,FAILED,TERMINATED - check_typestringType of seedlisting check to perform, which determines the method of matching incoming emailsAllowed values:
TAG,H_TO,REF,EXPRESS - created_atstringTimestamp when the seedlisting test was created
- updated_atstringTimestamp when the seedlisting test was last updated
- tagstringTag identifier used to match incoming emails; present only when check_type is TAG
- email_ref_addrstringReference email address used for routing; present only when check_type is REF
- statsobjectAggregated delivery statistics for this seedlisting test
- inboxnumberNumber of emails delivered to the inbox
- spamnumberNumber of emails delivered to the spam or junk folder
- waitingnumberNumber of emails pending delivery results
- not_receivednumberNumber of emails not received
- inboxnumber
- spamassasinobjectSpamAssassin analysis result shared by this seedlisting test
- allowednumberMaximum allowed spam score threshold
- evaluationnumberCalculated spam score assigned to the email
- spambooleanIndicates whether the email was classified as spam
- rulesarraySpamAssassin rules that matched the email
- namestringName of the matched SpamAssassin rule
- descriptionstringDescription of the matched SpamAssassin rule
- scorenumberScore assigned by the matched SpamAssassin rule
- namestring
- allowednumber
- auth_resultsobjectAggregated SPF, DKIM and DMARC Authentication-Results statistics for seedlisting test emails in this test
- countnumberTotal number of seedlisting test emails in this seedlisting test
- spf_passnumberNumber of seedlisting test emails with SPF pass in Authentication-Results
- spf_failnumberNumber of seedlisting test emails with SPF fail in Authentication-Results
- dkim_passnumberNumber of seedlisting test emails with DKIM pass in Authentication-Results
- dkim_failnumberNumber of seedlisting test emails with DKIM fail in Authentication-Results
- dmarc_passnumberNumber of seedlisting test emails with DMARC pass in Authentication-Results
- dmarc_failnumberNumber of seedlisting test emails with DMARC fail in Authentication-Results
- countnumber
- user_emailstringEmail of the user that created the seedlisting test, present only if the requester is an ADMIN and show_all=true
- idstring
- metaobjectPagination metadata for list responses
- countintegerTotal number of items available
- offsetintegerNumber of items skipped
- limitintegerMaximum number of items returned per request
- countinteger
Error Codes
401 Unauthorized
Unauthorized
403 Forbidden
Forbidden
500 Internal Server Error
Internal server error